Package ru.bitel.bgbilling.modules.qiwi.server.bean

# Class QiwiJaxWSHandler

java.lang.Object
ru.bitel.bgbilling.kernel.container.ws.server.JaxWSAdapter
ru.bitel.bgbilling.kernel.container.ws.server.AbstractJaxWsHandler
ru.bitel.bgbilling.modules.qiwi.server.bean.QiwiJaxWSHandler

    public class QiwiJaxWSHandler
    extends ru.bitel.bgbilling.kernel.container.ws.server.AbstractJaxWsHandler

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.container.ws.server.AbstractJaxWsHandler

  `loggingEnabled, patternSlash, setup`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.container.ws.server.JaxWSAdapter

  `servletContainer, servletContext`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `QiwiJaxWSHandler​(javax.servlet.ServletContext context)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected java.lang.Class<?>` | `findEndpointClass​(ru.bitel.bgbilling.kernel.container.ws.server.ModuleKey moduleKey)` |
  `protected java.lang.String` | `getUrlPatternName​(ru.bitel.bgbilling.kernel.container.ws.server.ModuleKey moduleKey, java.lang.Class<?> implementorClass)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.container.ws.server.AbstractJaxWsHandler

  `clear, createInstanceResolver, getLoggingEnabledParam, getModuleKey, getTarget, inject, invoke, invoke, isLoggingEnabled`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.container.ws.server.JaxWSAdapter

  `createFromInstanceResolverAnnotation, createWsEndpoint, getClassLoader, handle, handlePut, setHandlers, setHandlersAndRoles`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QiwiJaxWSHandler

    public QiwiJaxWSHandler​(javax.servlet.ServletContext context) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

- ## Method Details

  - ### findEndpointClass

    protected java.lang.Class<?> findEndpointClass​(ru.bitel.bgbilling.kernel.container.ws.server.ModuleKey moduleKey)
    Specified by:
      `findEndpointClass` in class `ru.bitel.bgbilling.kernel.container.ws.server.AbstractJaxWsHandler`

  - ### getUrlPatternName

    protected java.lang.String getUrlPatternName​(ru.bitel.bgbilling.kernel.container.ws.server.ModuleKey moduleKey, java.lang.Class<?> implementorClass)
    Specified by:
      `getUrlPatternName` in class `ru.bitel.bgbilling.kernel.container.ws.server.AbstractJaxWsHandler`